[B011] Medical Literature Search

post
https://connect.patsnap.com/synapse/paper/search
Try in Sandbox

Obtain Literature through fields such as target, organization, disease, etc.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
offset
integer<int64>-
Offset, default 0
limit
integer<int64>10
Limit, default 10. offset + limit <= 10000, limit up to 1,000.
keyword
object{ "value": [ "PD-1" ], "condition": "OR" }
Keywords, The "condition" field defaults to OR and AND.
condition
stringOR
Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive.
value
array[ "keytruda" ]
Value List
drug
object{ "value": [ "2838b95ade834c96b17ac8bcd2b68c27" ], "condition": "OR" }
Intervention Drug, The "condition" field defaults to OR and AND.
condition
stringOR
Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive.
value
array[ "945fa31ebe9e41ae912e493aa3324576" ]
Value List
target
object{ "value": [ "d9461748c4c54a0b84cbad2ae3fce7d5" ], "condition": "OR" }
Target, The "condition" field defaults to OR and AND.
condition
stringOR
Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive.
value
array[ "9786d32e3d244a688ec6a60d2fe1b10b" ]
Value List
disease
object{ "value": [ "f319fa27684c4cdeb6ce59d897217718" ], "condition": "OR" }
Indication, The "condition" field defaults to OR and AND.
condition
stringOR
Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive.
value
array[ "62eaee6d9ee44410b8aca59dfc7408e9" ]
Value List
organization
object{ "value": [ "55317f856f0d78124a6845222345ba8e" ], "condition": "OR" }
Institution, The "condition" field defaults to OR and does not support AND.
condition
stringOR
Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive.
value
array[ "6a8c172f1efc649035845f94c31a9c1e" ]
Value List
drug_type
object{ "value": [ "1151dbc710f64a85923dc05d4a5a0ba9" ], "condition": "OR" }
Drug Type, The "condition" field defaults to OR and does not support AND.
condition
stringOR
Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive.
value
array[ "c38eb408d6b842f487d6a27484156633" ]
Value List
author
array[ "Hutchins, Beth" ]
Author
publication_year
object{ "to": 2021, "from": 2019 }
出版年, Referencing "PaperSearchPublicationYearLongRangeItem"
from
integer<int64>2019
from
to
integer<int64>2021
to
sort
array[ { "sort_field": "score", "sort_order": "desc" } ]
Sorting fields. The value is an enum with the following values: score, PUBLICATION_DATE. The default sorting is by Relevancy descending order. Referencing "PaperSearchSortDto"
sort_field
stringscore
sort field, enum values: score, PUBLICATION_DATE
sort_order
stringdesc
sort order, support:desc,asc

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
items
arrayPlease check the form:PaperDetailDto
result items
paper_id
string0b20bcfa-6399-30bf-ab29-6a0fafbbe3bd
Paper ID
paper_title
array[ { "lang": "EN", "title": "Adding PD-1/PD-L1 Inhibitors to Chemotherapy for the First-Line Treatment of Extensive Stage Small Cell Lung Cancer (SCLC): A Meta-Analysis of Randomized Trials" } ]
Paper Title
lang
stringEN
Paper Title Language
title
stringAdding PD-1/PD-L1 Inhibitors to Chemotherapy for the First-Line Treatment of Extensive Stage Small Cell Lung Cancer (SCLC): A Meta-Analysis of Randomized Trials
Paper Title
limit
integer<int64>10
limit
total
integer<int64>10
total
offset
integer<int64>-
offset
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "items": [
      {
        "paper_id": "0b20bcfa-6399-30bf-ab29-6a0fafbbe3bd",
        "paper_title": [
          {
            "lang": "EN",
            "title": "Adding PD-1/PD-L1 Inhibitors to Chemotherapy for the First-Line Treatment of Extensive Stage Small Cell Lung Cancer (SCLC): A Meta-Analysis of Randomized Trials"
          }
        ]
      }
    ],
    "limit": 10,
    "total": 10,
    "offset": 0
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms